Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.configuration.security
Class KeyManagersType

    java.lang.Object
      org.apache.cxf.configuration.security.KeyManagersType

    public class KeyManagersType

extends java.lang.Object

This structure specifies the JSSE based KeyManagers for a single Keystore.

Java class for KeyManagersType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="KeyManagersType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="keyStore" type="{http://cxf.apache.org/configuration/security}KeyStoreType" minOccurs="0"/>
           </sequence>
           <attribute name="factoryAlgorithm" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="keyPassword" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="provider" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

Field Summary
`protected java.lang.String` | `factoryAlgorithm`
`protected java.lang.String` | `keyPassword`
`protected KeyStoreType` | `keyStore`
`protected java.lang.String` | `provider`

Constructor Summary
`KeyManagersType()`

Method Summary
`java.lang.String` | `getFactoryAlgorithm()` Gets the value of the factoryAlgorithm property.
`java.lang.String` | `getKeyPassword()` Gets the value of the keyPassword property.
`KeyStoreType` | `getKeyStore()` Gets the value of the keyStore property.
`java.lang.String` | `getProvider()` Gets the value of the provider property.
`boolean` | `isSetFactoryAlgorithm()`
`boolean` | `isSetKeyPassword()`
`boolean` | `isSetKeyStore()`
`boolean` | `isSetProvider()`
`void` | `setFactoryAlgorithm(java.lang.String value)` Sets the value of the factoryAlgorithm property.
`void` | `setKeyPassword(java.lang.String value)` Sets the value of the keyPassword property.
`void` | `setKeyStore(KeyStoreType value)` Sets the value of the keyStore property.
`void` | `setProvider(java.lang.String value)` Sets the value of the provider property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### keyStore

    protected KeyStoreType keyStore

### factoryAlgorithm

    protected java.lang.String factoryAlgorithm

### keyPassword

    protected java.lang.String keyPassword

### provider

    protected java.lang.String provider

Constructor Detail

### KeyManagersType

    public KeyManagersType()

Method Detail

### getKeyStore

    public KeyStoreType getKeyStore()

  Gets the value of the keyStore property.

  Returns:
    possible object is `KeyStoreType`

### setKeyStore

    public void setKeyStore(KeyStoreType value)

  Sets the value of the keyStore property.

  Parameters:
    `value` - allowed object is `KeyStoreType`

### isSetKeyStore

    public boolean isSetKeyStore()

### getFactoryAlgorithm

    public java.lang.String getFactoryAlgorithm()

  Gets the value of the factoryAlgorithm property.

  Returns:
    possible object is `String`

### setFactoryAlgorithm

    public void setFactoryAlgorithm(java.lang.String value)

  Sets the value of the factoryAlgorithm property.

  Parameters:
    `value` - allowed object is `String`

### isSetFactoryAlgorithm

    public boolean isSetFactoryAlgorithm()

### getKeyPassword

    public java.lang.String getKeyPassword()

  Gets the value of the keyPassword property.

  Returns:
    possible object is `String`

### setKeyPassword

    public void setKeyPassword(java.lang.String value)

  Sets the value of the keyPassword property.

  Parameters:
    `value` - allowed object is `String`

### isSetKeyPassword

    public boolean isSetKeyPassword()

### getProvider

    public java.lang.String getProvider()

  Gets the value of the provider property.

  Returns:
    possible object is `String`

### setProvider

    public void setProvider(java.lang.String value)

  Sets the value of the provider property.

  Parameters:
    `value` - allowed object is `String`

### isSetProvider

    public boolean isSetProvider()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF is an effort undergoing incubation at the Apache Software Foundation(ASF) and sponsored by the Apache Incubator PMC.